be.vlaanderen.mercurius.vsb.common.core.v3

## Class WaitingPeriodType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb.common.core.v3.WaitingPeriodType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class WaitingPeriodType
      extends Object
      implements Serializable

  used: ConsultSanctionMeasuresView.xsd, ConsultWaitingPeriodView.xsd, PushViews.xsd

  Java class for WaitingPeriodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="WaitingPeriodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="NumberOfYears" type="{http://www.w3.org/2001/XMLSchema}short"/>
               <element name="StartYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}YearType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaitingPeriodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getNumberOfYears()` Gets the value of the numberOfYears property.
    `Integer` | `getStartYear()` Gets the value of the startYear property.
    `void` | `setNumberOfYears(short value)` Sets the value of the numberOfYears property.
    `void` | `setStartYear(Integer value)` Sets the value of the startYear property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaitingPeriodType

          public WaitingPeriodType()

  - ### Method Detail

    - #### getNumberOfYears

          public short getNumberOfYears()

      Gets the value of the numberOfYears property.

    - #### setNumberOfYears

          public void setNumberOfYears(short value)

      Sets the value of the numberOfYears property.

    - #### getStartYear

          public Integer getStartYear()

      Gets the value of the startYear property.
      Returns:
        possible object is `Integer`

    - #### setStartYear

          public void setStartYear(Integer value)

      Sets the value of the startYear property.
      Parameters:
        `value` - allowed object is `Integer`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.